* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Bildung
* Mikrozensus Scientific Use File 2003

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: bildung03.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=2003.

* Versionsnummer des Moduls 'Bildung'.
COMPUTE vers_bil=5.


*-------------------------------------------------   Kindergartenbesuch   -------------------------------------------------.

COMPUTE kiga=0.
IF (EF70=1 AND EF71=8) kiga=1.


*---------------------------------------------   Gegenwaertiger Schulbesuch   ---------------------------------------------.

COMPUTE sbes=0.
IF (EF71=1 OR EF74>=1) sbes=1.


*---------------------------------------   Art der gegenwaertig besuchten Schule   ----------------------------------------.

RECODE EF74 (0,99=-3) (1,2=1) (3=2)
   (4,5,6,7,8=3) (9,10=4) (11,12=5) INTO schul_2.

RECODE EF74 (0=-2) (99=-1) (1=1) (2=2) (3=3)
   (4,5,6,7,8=4) (9,10=5) (11=6) (12=7) INTO schul_3.


*-----------------------------------------   Allgemein bildender Schulabschluss   -----------------------------------------.

RECODE EF258 (0=-2) (9=-1) (1=1) (8=0) INTO sab.

RECODE EF259 (0,9=-3) (1=1) (2,3=2) (4=3) (5=4) INTO asa_1.

RECODE EF259 (0=-2) (9=-1) (ELSE=COPY) INTO asa_2.
IF EF258=8 asa_2=0. 
IF EF258=9 asa_2=-1. 


*---------------------------------------------   Berufsbildender Abschluss   ----------------------------------------------.

RECODE EF260 (0=-2) (9=-1) (1=1) (8=0) INTO berab.

RECODE EF261 (0=-2) (1 THRU 2=1) (3 THRU 4=2) (5 THRU 6=3) (7 THRU 8=4) (9 THRU 10=5) (99=-1) INTO bab_1.
IF EF33<=1953 AND EF261=1 bab_1=2.
IF EF260=8 bab_1=0. 
IF EF260=9 bab_1=-1.

RECODE EF261 (0=-2) (1 THRU 2=1) (3 THRU 4=2) (5=3) (6=4) (7 THRU 8=5) (9=6) (10=7) (99=-1) INTO bab_2.
IF EF33<=1953 AND EF261=1 bab_2=2.
IF EF260=8 bab_2=0. 
IF EF260=9 bab_2=-1.


*--------------------------------------   Teilnahme an beruflicher Weiterbildung   ----------------------------------------.

COMPUTE #wbges=EF275.
RECODE #wbges (1 THRU 4=1) (8=0) (0=-3).

COMPUTE wbber=#wbges.
IF (EF276=2) wbber=0.
IF (EF276=9) wbber=0.
IF (EF279=2) wbber=0.
IF (EF282=2) wbber=0.
IF (EF279=9) wbber=0.
IF (EF282=9) wbber=0.
IF (EF276=1) wbber=1.
IF (EF279=1) wbber=1.
IF (EF282=1) wbber=1.
IF (EF738=0) wbber=-3.


*----------------------------------   Teilnahme an allg. Weiterbildung im letzten Jahr   ----------------------------------.

COMPUTE wbalg=#wbges.
IF (EF276=1) wbalg=0.
IF (EF276=9) wbalg=0.
IF (EF279=1) wbalg=0.
IF (EF282=1) wbalg=0.
IF (EF279=9) wbalg=0.
IF (EF282=9) wbalg=0.
IF (EF276=2) wbalg=1.
IF (EF279=2) wbalg=1.
IF (EF282=2) wbalg=1.
RECODE wbalg (-3=-2).
IF (EF738=0) wbalg=-2.
EXECUTE.

