* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Bildung
* Mikrozensus Scientific Use File 2006

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: bildung06.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=2006.

* Versionsnummer des Moduls 'Bildung'.
COMPUTE vers_bil=5.


*---------------------------------------------   Gegenwaertiger Schulbesuch   ---------------------------------------------.

COMPUTE sbes=0.
IF EF287=1 sbes=1.


*---------------------------------------   Art der gegenwaertig besuchten Schule   ----------------------------------------.

IF EF287=8 OR EF287=9 schul_2=-3.
IF EF287=1 AND (EF289=1 OR EF289=2) schul_2=1.
IF EF287=1 AND EF289=3 schul_2=2.
IF EF287=1 AND (EF290>=1 AND EF290<=5) schul_2=3.
IF EF287=1 AND (EF291=1 OR EF291=2) schul_2=4.
IF EF287=1 AND (EF291=3 OR EF291=4) schul_2=5.
IF EF287=1 AND ((EF289=9 OR (EF289=4 AND EF290=9) OR (EF290=6 AND EF291=9)))
   schul_2=-3.

IF EF287=8 schul_3=-2.
IF EF287=9 schul_3=-1.
IF EF287=1 AND EF289=1 schul_3=1.
IF EF287=1 AND EF289=2 schul_3=2.
IF EF287=1 AND EF289=3 schul_3=3.
IF EF287=1 AND (EF290>=1 AND EF290<=5) schul_3=4.
IF EF287=1 AND (EF291=1 OR EF291=2) schul_3=5.
IF EF287=1 AND EF291=3 schul_3=6.
IF EF287=1 AND EF291=4 schul_3=7.
IF EF287=1 AND ((EF289=9 OR (EF289=4 AND EF290=9) OR (EF290=6 AND EF291=9)))
   schul_3=-1.


*-----------------------------------------   Allgemein bildender Schulabschluss   -----------------------------------------.

RECODE EF309 (0=-2) (1=1) (8=0) INTO sab.

RECODE EF310 (0=-3) (1=1) (2 THRU 3=2) (4=3) (5=4) (9=-3) INTO asa_1.

RECODE EF310 (0=-2) (9=-1) (ELSE=COPY) INTO asa_2.
IF EF309=8 asa_2=0.


*---------------------------------------------   Berufsbildender Abschluss   ----------------------------------------------.

RECODE EF311 (0=-2) (1=1) (8=0) INTO berab.

RECODE EF312 (0=-2) (1 THRU 2=1) (3 THRU 4=2) (5 THRU 6=3) (7 THRU 8=4) (9 THRU 10=5) (99=-1)
   INTO bab_1.
IF EF47<=1953 AND EF312=1 bab_1=2.
IF EF311=8 bab_1=0.

RECODE EF312 (0=-2) (1 THRU 2=1) (3 THRU 4=2) (5=3) (6=4) (7 THRU 8=5) (9=6) (10=7)
   (99=-1) INTO bab_2.
IF EF47<=1953 AND EF312=1 bab_2=2.
IF EF311=8 bab_2=0.


*--------------------------------------   Teilnahme an beruflicher Weiterbildung   ----------------------------------------.

COMPUTE #wbges=EF323.
RECODE #wbges (1=1) (8=0) (0=-3).

COMPUTE wbber=#wbges.
IF (EF329=2) wbber=0.
IF (EF329=1) wbber=1.
IF (EF329=3) wbber=1.


*----------------------------------   Teilnahme an allg. Weiterbildung im letzten Jahr   ----------------------------------.

COMPUTE wbalg=#wbges.
IF (EF329=1) wbalg=0.
IF (EF329=2) wbalg=1.
IF (EF329=3) wbalg=1.
RECODE wbalg (-3=-2).
EXECUTE.

