* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Bildung
* Mikrozensus Scientific Use File 1980

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: bildung80.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=1980.

* Versionsnummer des Moduls 'Bildung'.
COMPUTE vers_bil=5.


*--------------------------------------------------   Kindergartenbesuch   ------------------------------------------------.

COMPUTE kiga=0.
IF EF33=1 kiga=1.


*---------------------------------------------   Gegenwaertiger Schulbesuch   ---------------------------------------------.

COMPUTE sbes=0.
IF (EF33>=2 AND EF33<=9) sbes=1.


*---------------------------------------   Art der gegenwaertig besuchten Schule   ----------------------------------------.

RECODE EF33 (0,1,99=-3) (3=1) (4=2) (2=3) (5=4) (6=5) (7=6) (8=7) (9=8) INTO schul_1.

RECODE EF33  (0,1,99=-3) (2,3,4=1) (5=2) (6,9=3) (7=4) (8=5)  INTO schul_2.
IF (EF33=5 AND alter<17) schul_2=1.


*-----------------------------------------   Allgemein bildender Schulabschluss   -----------------------------------------.

RECODE EF158 (9,0=-3) (ELSE=COPY) INTO asa_1.


*------------------------------------   Allgemein bildender Schulabschluss detailliert   ----------------------------------.

RECODE EF158 (9=-2) (0=-1) (1=1) (2=3) (3=4) (4=5) INTO asa_2.


*---------------------------------------------   Berufsbildender Abschluss   ----------------------------------------------.

RECODE EF160 (8=-2) (0=-1) (1 THRU 6=1) (9=0) INTO berab.
IF EF160=9 AND (EF159=1 OR EF159=2 OR EF159=3 OR EF159=4) berab=1.

IF EF160=0 bab_1=-1.
IF EF160=1 AND (EF159=0 OR EF159=8 OR EF159=9) bab_1=1.
IF EF160=1 AND (EF159=1 OR EF159=2 OR EF159=3 OR EF159=4) bab_1=2.
IF EF160=2 OR EF160=4 bab_1=3.
IF EF160=3 bab_1=2.
IF EF160=5 bab_1=4.
IF EF160=6 bab_1=5.
IF EF160=8 bab_1=-2.
IF EF160=9 AND (EF159=0 OR EF159=8 OR EF159=9) bab_1=0.
IF EF160=9 AND (EF159=1 OR EF159=3 OR EF159=4) bab_1=2.
IF EF160=9 AND EF159=2 bab_1=1.


*---------------------------------------   Teilnahme an beruflicher Weiterbildung   ---------------------------------------.

COMPUTE wbber=0.
RECODE wbber (0=SYSMIS).
IF (EF164=1 OR EF164=2 OR EF164=3 OR EF164=4 OR EF164=5 OR EF164=6) wbber=1.
IF EF164=9 wbber=0.
IF (EF164=0 OR EF164=8) wbber=-3.


*-----------------------------------------   Ort der beruflichen Weiterbildung   ------------------------------------------.

COMPUTE wbort=0.
RECODE wbort (0=SYSMIS).
IF EF164=1 wbort=1.
IF EF164=2 wbort=2.
IF EF164=3 wbort=2.
IF EF164=4 wbort=3.
IF EF164=5 wbort=4.
IF EF164=6 wbort=4.
IF EF164=9 wbort=0.
IF (EF164=0 OR EF164=8) wbort=-3.


*-----------------------------------------   Dauer der beruflichen Weiterbildung   ----------------------------------------.

COMPUTE wbdau=0.
RECODE wbdau (0=SYSMIS).
IF EF165=1 wbdau=1.
IF EF165=2 wbdau=2.
IF EF165=3 wbdau=3.
IF (EF165=4 OR EF165=5) wbdau=4.
IF (EF165=0 OR EF165=9) wbdau=-3.
IF wbber=0 wbdau=0. 
EXECUTE.

