* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Bildung
* Mikrozensus Scientific Use File 1993

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: bildung93.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=1993.

* Versionsnummer des Moduls 'Bildung'.
COMPUTE vers_bil=5.


*--------------------------------------------------   Kindergartenbesuch   ------------------------------------------------.

COMPUTE kiga=0.
IF EF56=1 kiga=1.


*---------------------------------------------   Gegenwaertiger Schulbesuch   ---------------------------------------------.

COMPUTE sbes=0.
IF (EF56>=2 AND EF56<=8) sbes=1.


*---------------------------------------   Art der gegenwaertig besuchten Schule   ----------------------------------------.

RECODE EF56  (1,9=-3) (2,3,8=1) (4=2) (5=3) (6=4) (7=5)  INTO schul_2.

RECODE EF56 (1,9=-3) (2,8=1) (3=2) (4=3) (5=4) (6=5) (7=6) INTO schul_3.


*-----------------------------------------   Allgemein bildender Schulabschluss   -----------------------------------------.

RECODE EF59 (9=-2)  (8=-1) (1=1) (2=0) INTO sab.

RECODE EF121 (8,9=-3) (1=1) (2,3=2) (4=3) (5=4) INTO asa_1.

RECODE EF121 (9=-2) (8=-1) (3=2) (2=3) (ELSE=COPY) INTO asa_2.
IF EF59=2 asa_2=0.
IF EF59=8 asa_2=-1.


*---------------------------------------------   Berufsbildender Abschluss   ----------------------------------------------.

RECODE EF122 (9=-2) (8=-1) (2 THRU 7=1) (1=0) INTO berab.

RECODE EF122 (1=0) (2=2) (3=1) (4 THRU 5=3) (6=4) (7=5) (8=-1) (9=-2) INTO bab_1.


*---------------------------------------   Teilnahme an beruflicher Weiterbildung   ---------------------------------------.

COMPUTE wbber=0.
RECODE wbber (0=SYSMIS).
IF (EF124=1 OR EF124=2 OR EF124=3 OR EF124=4 OR EF124=5 OR EF124=6) wbber=1.
IF EF124=7 wbber=0.
IF (EF124=8 OR EF124=9) wbber=-3.


*-----------------------------------------   Ort der beruflichen Weiterbildung   ------------------------------------------.

COMPUTE wbort=0.
RECODE wbort (0=SYSMIS).
IF EF124=1 wbort=1.
IF EF124=2 wbort=2.
IF EF124=3 wbort=2.
IF EF124=4 wbort=2.
IF EF124=5 wbort=3.
IF EF124=6 wbort=4.
IF EF124=7 wbort=0.
IF (EF124=8 OR EF124=9) wbort=-3.


*-----------------------------------------   Dauer der beruflichen Weiterbildung   ----------------------------------------.

COMPUTE wbdau=0.
RECODE wbdau (0=SYSMIS).
IF EF125=1 wbdau=1.
IF EF125=2 wbdau=2.
IF EF125=3 wbdau=3.
IF (EF125=4 OR EF125=5) wbdau=4.
IF EF125=6 wbdau=5.
IF (EF125=8 OR EF125=9) wbdau=-3.
IF wbber=0 wbdau=0. 
EXECUTE.

