* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung der relativen Einkommensposition.
* Themenbereich Einkommen


*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: eink_eps.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

* Versionsnummer des Moduls 'Einkommen'.
COMPUTE vers_ein=5.


*---------------------------------------------   relative Einkommensposition   --------------------------------------------.

* Berechnung auf Basis des preisbereinigten Aequivalenzeinkommens mit
  Bedarfsgewichtung nach der alten OECD-Skala (aeq_1).

* Berechnung des Median-Aequivalenzeinkommens, Deutschland insgesamt.
RECODE aeq_1 (-2 THRU -1=SYSMIS) (ELSE=COPY) INTO aeq_1r.
EXECUTE.
SORT CASES BY jahr.
AGGREGATE OUTFILE=* MODE=ADDVARIABLES
   / PRESORTED
   / BREAK jahr
   / medaeq1i=MEDIAN(aeq_1r).
EXECUTE.

* Berechnung des Median-Aequivalenzeinkommens, West und Ost getrennt.
SORT CASES BY jahr west.
AGGREGATE OUTFILE=* MODE=ADDVARIABLES
   / PRESORTED
   / BREAK jahr west
   / medaeq1g=MEDIAN(aeq_1r).
EXECUTE.

* Berechnung der relativen Einkommensposition.
COMPUTE epos_1=aeq_1r/medaeq1i.
IF SYSMIS(epos_1) epos_1=aeq_1.
COMPUTE epos_2=aeq_1r/medaeq1g.
IF SYSMIS(epos_2) epos_2=aeq_1.
EXECUTE.


*---------------------------------------   Ausschluss temporaerer Hilfsvariablen   ----------------------------------------.

DELETE VARIABLES  aeq_1r  medaeq1i  medaeq1g  west.
EXECUTE.

