* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Vergabe von Variablen- und Value-Labels.
* Themenbereich Haushalt, Familie und Lebensform


*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: familie_labels.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------   Vergabe von Variable Labels   --------------------------------------------.

VARIABLE LABELS vers_fam 'Versionsnummer Bereich Haushalt und Familie'
   / sthh_1 'Stellung im Haushalt'
   / sthh_2 'Stellung im Haushalt: inkl. Kinder'
   / sthh_3 'Stellung im Haushalt: detailliert'
   / ephh '1. Person im Haushalt'
   / hhtyp 'Haushaltstyp'
   / hhanz 'Personen im Haushalt: Anzahl'
   / hhk_1 'Kinder (unter 3 Jahre): Anzahl im Haushalt'
   / hhk_2 'Kinder (unter 15 Jahre): Anzahl im Haushalt'
   / famnr 'Laufende Nr.: Familie im Haushalt'
   / pfnr 'Laufende Nr.: Person in der Familie'
   / stfam 'Stellung in der Familie'
   / famtyp_1 'Familientyp'
   / famtyp_2 'Familientyp: detailliert'
   / famanz 'Personen in der Familie: Anzahl'
   / famk_1 'Kinder (unter 3 Jahre): Anzahl in der Familie'
   / famk_2 'Kinder (unter 15 Jahre): Anzahl in der Familie'
   / ehej 'Eheschliessungsjahr'
   / lgnr 'Laufende Nr.: Lebensgemeinschaft im Haushalt'
   / plgnr 'Laufende Nr.: Person in der Lebensgemeinschaft'
   / stlg 'Stellung in der Lebensgemeinschaft'
   / lgtyp 'Typ der Lebensgemeinschaft'
   / lganz 'Personen in der Lebensgemeinschaft: Anzahl'
   / lgk_1 'Kinder (unter 3 Jahre): Anzahl in der Lebensgemeinschaft'
   / lgk_2 'Kinder (unter 15 Jahre): Anzahl in der Lebensgemeinschaft'.


*----------------------------------------------   Vergabe von Value Labels   ----------------------------------------------.

VALUE LABELS
   sthh_1
          1 'Haushaltsbezugsperson'
          2 'Ehefrau/-mann der Haushaltsbezugsperson'
          3 'sonstige verwandte/verschwaegerte Person der Haushaltsbezugsperson'
          4 'familienfremde Person'
          -2 'entfaellt'
   / sthh_2
          1 'Haushaltsbezugsperson'
          2 'Ehefrau/-mann der Haushaltsbezugsperson'
          3 'Kind der Haushaltsbezugsperson'
          4 'sonstige verwandte/verschwaegerte Person der Haushaltsbezugsperson'
          5 'familienfremde Person'
          -2 'entfaellt'
   / sthh_3
          1 'Haushaltsbezugsperson'
          2 'Ehefrau/-mann der Haushaltsbezugsperson'
          3 '(Schwieger-) Sohn/Tochter der Haushaltsbezugsperson'
          4 'Enkel, Urenkel der Haushaltsbezugsperson'
          5 '(Schwieger-) Vater/Mutter der Haushaltsbezugsperson'
          6 'Grossvater, -mutter der Haushaltsbezugsperson'
          7 'sonstige verwandte/verschwaegerte Person der Haushaltsbezugsperson'
          8 'familienfremde Person'
          -2 'entfaellt'
   / ephh
          0 'sonstige Person'
          1 '1. Person im Haushalt'
   / hhtyp
          1 'Einpersonenhaushalt'
          2 'MPHH mit nur geradlinig verwandten Personen'
          3 'MPHH mit geradlinig verwandten und anderen verwandten/verschwaegerten Personen'
          4 'MPHH mit geradlinig verwandten, anderen verwandten/verschwaegerten und/oder familienfremden Personen'
          5 'MPHH mit nur anderen verwandten/verschwaegerten Personen, ohne geradlinig verwandte Personen'
          6 'MPHH mit nur anderen verwandten/verschwaegerten sowie familienfremden Personen, '
            + 'ohne geradlinig verwandte Personen'
          7 'MPHH mit nur familienfremden Personen, ohne geradlinig verwandte Personen'
          -2 'entfaellt (Gem./Anstaltsunterkunft)'
   / hhanz
          1 '1 Person'
          2 '2 Personen'
          3 '3 Personen'
          4 '4 Personen'
          5 '5 Personen'
          6 '6 Personen'
          7 '7 Personen'
          8 '8 Personen'
          9 '9 Personen'  
          10 '10 Personen' 
          11 '11 Personen' 
          12 '12 Personen' 
          13 '13 Personen' 
          14 '14 Personen' 
          15 '15 Personen' 
          16 '16 Personen' 
          17 '17 Personen' 
          18 '18 Personen' 
          19 '19 Personen' 
          20 '20 Personen' 
          21 '21 Personen' 
          22 '22 Personen' 
          23 '23 Personen'
          24 '24 Personen' 
          25 '25 Personen' 
          26 '26 Personen' 
          27 '27 Personen'
          28 '28 Personen'
          29 '29 Personen'
          -2 'entfaellt (Gem./Anstaltsunterkunft)'
   / hhk_1 hhk_2
          0 '0 Kinder'
          1 '1 Kind'
          2 '2 Kinder'
          3 '3 Kinder'
          4 '4 Kinder'
          5 '5 Kinder'
          6 '6 Kinder'
          7 '7 Kinder'
          8 '8 Kinder'
          9 '9 Kinder'
          10 '10 Kinder'
          11 '11 Kinder'
          12 '12 Kinder'
          13 '13 Kinder'
          14 '14 Kinder'
          15 '15 Kinder'
          16 '16 Kinder'
          17 '17 Kinder'
          -2 'entfaellt (Gem./Anstaltsunterkunft)'
   / stfam
          1 'Familienbezugsperson'
          2 'Ehefrau der Familienbezugsperson'
          3 'lediges Kind in der Familie'
          -2 'entfaellt (MZ87: Angabe fehlt)'
   / famtyp_1
          1 'Ehepaar ohne ledige Kinder'
          2 'Ehepaar mit ledigen Kindern/ledigen Enkeln'
          3 'Sonstige Personen ohne ledige Kinder'
          4 'Sonstige Personen mit ledigen Kindern'
          -2 'entfaellt (Gem./Anstaltsunterkunft)'
   / famtyp_2
          1 'Ehepaar ohne ledige Kinder'
          2 'Ehepaar mit ledigen Kindern/ledigen Enkeln'
          3 'Verwitwete/Geschiedene (ab MZ06: inkl. eingetr. Lebensp.) ohne ledige Kinder'
          4 'Verwitwete/Geschiedene (ab MZ06: inkl. eingetr. Lebensp.) mit ledigen Kindern'
          5 'Ledige mit ledigen Kindern'
          6 'Verheiratete, getrennt lebend ohne ledige Kinder'
          7 'Verheiratete, getrennt lebend mit ledigen Kindern'
          8 'nicht familienangehoerige Personen'
          -2 'entfaellt (Gem./Anstaltsunterkunft)'
   / famanz lganz
          1 '1 Person'
          2 '2 Personen'
          3 '3 Personen'
          4 '4 Personen'
          5 '5 Personen'
          6 '6 Personen'
          7 '7 Personen'
          8 '8 Personen'
          9 '9 Personen'
          10 '10 Personen'
          11 '11 Personen'
          12 '12 Personen'
          13 '13 Personen'
          14 '14 Personen'
          15 '15 Personen'
          16 '16 Personen'
          17 '17 Personen'
          18 '18 Personen'
          19 '19 Personen'
          -2 'entfaellt (Gem./Anstaltsunterkunft)'
   / famk_1 famk_2 lgk_1 lgk_2
          0 '0 Kinder'
          1 '1 Kind'
          2 '2 Kinder'
          3 '3 Kinder'
          4 '4 Kinder'
          5 '5 Kinder'
          6 '6 Kinder'
          7 '7 Kinder'
          8 '8 Kinder'
          9 '9 Kinder'
          10 '10 Kinder'
          11 '11 Kinder'
          12 '12 Kinder'
          -2 'entfaellt (Gem./Anstaltsunterkunft)'
   / ehej
          1892 '1892 (MZ64-MZ66: und frueher)'
          1893 '1893'
          1894 '1894'
          1895 '1895'
          1896 '1896'
          1897 '1897 (MZ67: und frueher)'
          1898 '1898 (MZ68,MZ69: und frueher)'
          1899 '1899'
          1900 '1900'
          1901 '1901 (MZ62,MZ63: und frueher)'
          1902 '1902'
          1903 '1903'
          1904 '1904'
          1905 '1905 (MZ76: und frueher)'
          1906 '1906'
          1907 '1907 (MZ78: und frueher)'
          1908 '1908'
          1909 '1909 (MZ80: und frueher)'
          1910 '1910 (MZ82: und frueher)'
          1911 '1911'
          1912 '1912'
          1913 '1913'
          1914 '1914 (MZ85: und frueher)'
          1915 '1915 (MZ87: und frueher; MZ85: inkl. 1916)'
          1916 '1916 (MZ87: inkl. 1917)'
          1917 '1917'
          1918 '1918'
          1919 '1919'
          1920 '1920'
          1921 '1921'
          1922 '1922 (MZ95: und frueher)'
          1923 '1923'
          1924 '1924'
          1925 '1925 (MZ96-MZ98: und frueher)'
          1926 '1926'
          1927 '1927 (MZ00,MZ01: und frueher)'
          1928 '1928'
          1929 '1929'
          1930 '1930'
          1931 '1931'
          1932 '1932'
          1933 '1933'
          1934 '1934'
          1935 '1935'
          1936 '1936'
          1937 '1937'
          1938 '1938'
          1939 '1939'
          1940 '1940'
          1941 '1941'
          1942 '1942'
          1943 '1943'
          1944 '1944'
          1945 '1945'
          1946 '1946'
          1947 '1947'
          1948 '1948'
          1949 '1949'
          1950 '1950'
          1951 '1951'
          1952 '1952'
          1953 '1953'
          1954 '1954'
          1955 '1955'
          1956 '1956'
          1957 '1957'
          1958 '1958'
          1959 '1959'
          1960 '1960'
          1961 '1961'
          1962 '1962'
          1963 '1963'
          1964 '1964'
          1965 '1965'
          1966 '1966'
          1967 '1967'
          1968 '1968'
          1969 '1969'
          1970 '1970'
          1971 '1971'
          1972 '1972'
          1973 '1973'
          1974 '1974'
          1975 '1975'
          1976 '1976'
          1977 '1977'
          1978 '1978'
          1979 '1979'
          1980 '1980'
          1981 '1981'
          1982 '1982'
          1983 '1983'
          1984 '1984'
          1985 '1985'
          1986 '1986'
          1987 '1987'
          1988 '1988'
          1989 '1989'
          1990 '1990'
          1991 '1991'
          1992 '1992'
          1993 '1993'
          1994 '1994'
          1995 '1995'
          1996 '1996'
          1997 '1997'
          1998 '1998'
          1999 '1999'
          2000 '2000'
          2001 '2001'
          2002 '2002'
          2003 '2003'
          2004 '2004'
          -1 'ohne Angabe (MZ91,MZ93: inkl. 1990, Programmierfehler)'
          -2 'entfaellt (nicht verheiratet)'
   / stlg
          1 'Bezugsperson in der Lebensgemeinschaft'
          2 'Lebenspartner/Ehefrau der Bezugsperson in der Lebensgemeinschaft'
          3 'lediges Kind in der Lebensgemeinschaft'
          -2 'entfaellt'
   / lgtyp
          1 'Lebensgemeinschaft ohne Kinder'
          2 'Lebensgemeinschaft mit Kind(ern)'
          3 'Alleinstehende ohne Kinder'
          4 'Alleinstehende mit Kind(ern)'
          -2 'entfaellt'.

