* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Gesundheit
* Mikrozensus Scientific Use File 2013

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: ges13.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

* Erhebungsjahr.
COMPUTE jahr=2013.

* Versionsnummer des Moduls 'Gesundheit'.
COMPUTE vers_ges=5.


*-----------------------------------------------------   Ernaehrung   -----------------------------------------------------.

* Groesse.
RECODE EF476 (50 THRU 51=51) (78,79=78) (200,201,202=200) (203 THRU 206=203)
   (999=-1) (-6=-2) (ELSE=COPY) INTO centi.

* Gewicht.
RECODE EF477 (118,119=118) (121,122=121) (123,124=123) (126 THRU 129=126)
   (130 THRU 134=130) (135,136,138=135) (140 THRU 150=140) (155,160=151)
   (165 THRU 200=161) (999=-1) (-6=-2) (ELSE=COPY) INTO kilo.


*------------------------------------------------------   Rauchen   -------------------------------------------------------.

* gegenwaertiger Raucher.
RECODE EF478 (-6=-2) (-3=-2) (1=1) (2=2) (8=3) (9=-1) INTO rauje.

* ehemaliger Raucher.
RECODE EF479 (-6=-2) (-5=-2) (-3=-2) (1=1) (2=2) (8=3) (9=-1) INTO raueh.

* Alter bei Rauchbeginn.
RECODE EF480 (-6=-2) (-5=-2) (-3=-2) (41 THRU 42=41) (46 THRU 48=46) (52 THRU 53=51)
   (55 THRU 58=55) (60 THRU 65=60) (99=-1) (ELSE=COPY) INTO raube.

* Art des Gerauchten.
RECODE EF481 (-6=-2) (-5=-2) (-3=-2) (9=-1) (ELSE=COPY) INTO rauar.

* Anzahl taeglich gerauchter Zigaretten.
RECODE EF482 (-6=-2) (-5=-2) (-3=-2) (9=-1) (ELSE=COPY) INTO rauzi.


*-----------------------------------------------   Krankheit und Unfaelle   -----------------------------------------------.

* Krankheit/Unfallverletzung in den letzten vier Wochen.
RECODE EF467 (-6=-2) (1=1) (8=3) (9=-1) INTO krank.
IF EF471=1 krank=2.
IF EF467=9 AND EF471=8 krank=3.

* Krankheit/Unfallverletzung: gegenwaertiges Andauern.
IF EF468=-6 OR (EF468=-5 AND EF473=-5) krje=-2.
IF EF468=1 OR EF473=1 krje=1.
IF (EF468=8 AND EF473~=1) OR (EF473=8 AND EF468~=1) krje=2.
IF (EF468=9 AND EF473~=1 AND EF473~=8) OR (EF473=9 AND EF468~=1 AND EF468~=8)
   krje=-1.

* Krankheit/Unfallverletzung: Dauer.
IF EF469=-6 OR (EF469=-5 AND EF474=-5) krdau=-2.
IF EF469=1 OR EF474=1 krdau=1.
IF EF469=2 OR EF474=2 krdau=2.
IF EF469=3 OR EF474=3 krdau=3.
IF EF469=4 OR EF474=4 krdau=4.
IF EF469=5 OR EF474=5 krdau=5.
IF EF469=6 OR EF474=6 krdau=6.
IF EF469=7 OR EF474=7 krdau=7.
IF (EF469=9 AND (EF474<=-5 OR EF474=9)) OR (EF474=9 AND (EF469<=-5 OR EF469=9))
   krdau=-1.

* Arzt-/Krankenhausbehandlung.
IF EF470=-6 OR (EF470=-5 AND EF475=-5) behan=-2.
IF EF470=1 OR EF475=1 behan=1.
IF EF470=2 OR EF475=2 behan=2.
IF EF470=3 OR EF475=3 behan=3.
IF (EF470=8 AND (EF475<=-5 OR EF475>=8)) OR (EF475=8 AND (EF470<=-5 OR EF470>=8))
   behan=4.
IF (EF470=9 AND (EF475<=-5 OR EF475=9)) OR (EF475=9 AND (EF470<=-5 OR EF470=9))
   behan=-1.

* Unfallverletzung: Art des Unfalls.
RECODE EF472 (-6=-2) (-5=-2) (9=-1) (ELSE=COPY) INTO unfal.


*------------------------------------------------   Pflegebeduerftigkeit   ------------------------------------------------.

* Pflegestufe.
RECODE EF428 (-5=-2) (ELSE=COPY) INTO pfstu.


*-----------------------------------------------------   Behinderung   ----------------------------------------------------.

* Behinderung: amtlicher Bescheid/Antrag.
RECODE EF465 (-6=-2) (1=1) (8=2) (9=-1) INTO behin.

* Behinderung: Grad.
RECODE EF466 (-6=-2) (-5=-2) (1=1) (2 THRU 3=2) (4=3) (5=4) (6=5) (7=6) (8=7) (9=8) (99=-1)
   INTO behgd.
EXECUTE.

