* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Methodische Variablen
* Mikrozensus Scientific Use File 2007

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: methvar07.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

* Erhebungsjahr.
COMPUTE jahr=2007.

* Versionsnummer des Moduls 'Methodische Variablen'.
COMPUTE vers_met=5.


*---------------------------------------------------------   ID   ---------------------------------------------------------.

* Identifikationsnummer, fortlaufend nach Reihenfolge im Ausgangsdatensatz.
COMPUTE idnr=(2007000000+$CASENUM).
EXECUTE.


*--------------------------------------------------   Korrektur von EF4   -------------------------------------------------.

* Korrektur einzelner Faelle mit fehlerhaften Auspraegungen bei EF4 (die dazu fuehren, dass sich
  Haushalte nicht eindeutig identifizieren lassen).

IF (EF3=106 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=6.
IF (EF3=230 AND EF4=6 AND EF5=1 AND EF8=8 AND EF9=8 AND EF12=1 AND EF31=2) EF4=8.
IF (EF3=337 AND EF4=2 AND EF5=2 AND EF8=4 AND EF9=1 AND EF12=2 AND EF31=2) EF4=11.
IF (EF3=337 AND EF4=4 AND EF5=6 AND EF8=4 AND EF9=1  AND EF12=2 AND EF31=2) EF4=12.
IF (EF3=337 AND EF4=6 AND EF5=3 AND EF8=4 AND EF9=1  AND EF12=2 AND EF31=2) EF4=13.
IF (EF3=337 AND EF4=9 AND EF5=5 AND EF8=4 AND EF9=1  AND EF12=2 AND EF31=2) EF4=14.
IF (EF3=475 AND EF4=3 AND EF5=2 AND EF8=9 AND EF9=6 AND EF12=1 AND EF31=2) EF4=11.
IF (EF3=683 AND EF4=5 AND EF5=2 AND EF8=3 AND EF9=6 AND EF12=1 AND EF31=2) EF4=10.
IF (EF3=814 AND EF4=3 AND EF5=5 AND EF8=5 AND EF9=1 AND EF12=1 AND EF31=2) EF4=11.
IF (EF3=814 AND EF4=10 AND EF5=7 AND EF8=5 AND EF9=1 AND EF12=1 AND EF31=2) EF4=12.
IF (EF3=1059 AND EF4=4 AND EF5=2 AND EF8=4 AND EF9=8 AND EF12=3 AND EF31=2) EF4=10.
IF (EF3=1074 AND EF4=5 AND EF5=2 AND EF8=2 AND EF9=6 AND EF12=1 AND EF31=2) EF4=14.
IF (EF3=1074 AND EF4=3 AND EF5=8 AND EF8=2 AND EF9=6 AND EF12=1 AND EF31=2) EF4=15.
IF (EF3=1074 AND EF4=8 AND EF5=9 AND EF8=2 AND EF9=6 AND EF12=1 AND EF31=2) EF4=16.
IF (EF3=1141 AND EF4=5 AND EF5=4 AND EF8=3 AND EF9=2 AND EF12=4 AND EF31=2) EF4=8.
IF (EF3=1141 AND EF4=6 AND EF5=3 AND EF8=3 AND EF9=2 AND EF12=4 AND EF31=2) EF4=9.
IF (EF3=1209 AND EF4=1 AND EF5=3 AND EF8=6 AND EF9=3 AND EF12=1 AND EF31=2) EF4=8.
IF (EF3=1209 AND EF4=3 AND EF5=2 AND EF8=6 AND EF9=3 AND EF12=1 AND EF31=2) EF4=9.
IF (EF3=1209 AND EF4=3 AND EF5=2 AND EF8=7 AND EF9=8 AND EF12=1 AND EF31=2) EF4=10.
IF (EF3=1209 AND EF4=3 AND EF5=2 AND EF8=8 AND EF9=9 AND EF12=1 AND EF31=2) EF4=11.
IF (EF3=2035 AND EF4=1 AND EF5=2 AND EF8=1 AND EF9=5 AND EF12=4 AND EF31=2) EF4=6. 
IF (EF3=2035 AND EF4=2 AND EF5=3 AND EF8=1 AND EF9=5 AND EF12=4 AND EF31=2) EF4=7.
IF (EF3=2233 AND EF4=1 AND EF5=3 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=5.
IF (EF3=2233 AND EF4=2 AND EF5=5 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=6.
IF (EF3=2233 AND EF4=3 AND EF5=2 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=3.
IF (EF3=2233 AND EF4=3 AND EF5=2 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=7.
IF (EF3=2810 AND EF4=1 AND EF5=3 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=4.
IF (EF3=2810 AND EF4=2 AND EF5=2 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=5.
IF (EF3=2903 AND EF4=1 AND EF5=5 AND EF8=6 AND EF9=4 AND EF12=2 AND EF31=2) EF4=8.
IF (EF3=2903 AND EF4=2 AND EF5=2 AND EF8=6 AND EF9=4 AND EF12=2 AND EF31=2) EF4=9.
IF (EF3=2903 AND EF4=5 AND EF5=3 AND EF8=6 AND EF9=4 AND EF12=2 AND EF31=2) EF4=10.
IF (EF3=2903 AND EF4=6 AND EF5=6 AND EF8=6 AND EF9=4 AND EF12=2 AND EF31=2) EF4=11.
IF (EF3=3255 AND EF4=4 AND EF5=1 AND EF8=5 AND EF9=8 AND EF12=4 AND EF31=2) EF4=8.
IF (EF3=3715 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=2 AND EF12=4 AND EF31=2) EF4=3.
IF (EF3=3773 AND EF4=11 AND EF5=1 AND EF8=1 AND EF9=24 AND EF12=4 AND EF31=2) EF4=25.
IF (EF3=5310 AND EF4=6 AND EF5=1 AND EF8=5 AND EF9=6 AND EF12=4 AND EF31=2) EF4=10.
IF (EF3=6099 AND EF4=2 AND EF5=2 AND EF8=1 AND EF9=2 AND EF12=3 AND EF31=2) EF4=4.
IF (EF3=6099 AND EF4=1 AND EF5=3 AND EF8=1 AND EF9=3 AND EF12=3 AND EF31=2) EF4=5.
IF (EF3=6099 AND EF4=2 AND EF5=2 AND EF8=1 AND EF9=3 AND EF12=3 AND EF31=2) EF4=6.
IF (EF3=7018 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=3 AND EF12=1 AND EF31=2) EF4=4.
IF (EF3=7018 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=4 AND EF12=1 AND EF31=2) EF4=5.
IF (EF3=7083 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=3.
IF (EF3=7083 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=3 AND EF12=2 AND EF31=2) EF4=4.
IF (EF3=7083 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=4 AND EF12=3 AND EF31=2) EF4=5.
IF (EF3=7083 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=6 AND EF12=3 AND EF31=2) EF4=6.
IF (EF3=7316 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=3.
IF (EF3=7316 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=3 AND EF12=2 AND EF31=2) EF4=4.
IF (EF3=7316 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=4 AND EF12=3 AND EF31=2) EF4=5.
IF (EF3=7316 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=5 AND EF12=2 AND EF31=2) EF4=6.
IF (EF3=7820 AND EF4=1 AND EF5=4 AND EF8=4 AND EF9=1 AND EF12=1 AND EF31=2) EF4=8.
IF (EF3=7820 AND EF4=2 AND EF5=3 AND EF8=4 AND EF9=1 AND EF12=1 AND EF31=2) EF4=9.
IF (EF3=8040 AND EF4=5 AND EF5=4 AND EF8=1 AND EF9=3 AND EF12=4 AND EF31=2) EF4=11.
IF (EF3=8040 AND EF4=7 AND EF5=3 AND EF8=1 AND EF9=3 AND EF12=4 AND EF31=2) EF4=12.
IF (EF3=8160 AND EF4=5 AND EF5=1 AND EF8=7 AND EF9=10 AND EF12=1 AND EF31=2) EF4=10.
IF (EF3=8576 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=2 AND EF12=1 AND EF31=2) EF4=6.
IF (EF3=8839 AND EF4=7 AND EF5=2 AND EF8=6 AND EF9=5 AND EF12=4 AND EF31=2) EF4=10.
IF (EF3=8839 AND EF4=1 AND EF5=3 AND EF8=6 AND EF9=5 AND EF12=4 AND EF31=2) EF4=11.
IF (EF3=8839 AND EF4=3 AND EF5=6 AND EF8=6 AND EF9=5 AND EF12=4 AND EF31=2) EF4=12.
IF (EF3=8949 AND EF4=4 AND EF5=1 AND EF8=3 AND EF9=1 AND EF12=4 AND EF31=1) EF4=5.
IF (EF3=8949 AND EF4=4 AND EF5=2 AND EF8=3 AND EF9=1 AND EF12=4 AND EF31=1) EF4=5.
IF (EF3=8949 AND EF4=4 AND EF5=3 AND EF8=3 AND EF9=1 AND EF12=4 AND EF31=1) EF4=5.
IF (EF3=9254 AND EF4=5 AND EF5=4 AND EF8=1 AND EF9=1 AND EF12=1 AND EF31=2) EF4=13.
IF (EF3=9254 AND EF4=6 AND EF5=7 AND EF8=1 AND EF9=1 AND EF12=1 AND EF31=2) EF4=14.
IF (EF3=9254 AND EF4=11 AND EF5=6 AND EF8=1 AND EF9=1 AND EF12=1 AND EF31=2) EF4=15.
IF (EF3=11378 AND EF4=1 AND EF5=7 AND EF8=2 AND EF9=1 AND EF12=1 AND EF31=2) EF4=9.
IF (EF3=11378 AND EF4=3 AND EF5=3 AND EF8=2 AND EF9=1 AND EF12=1 AND EF31=2) EF4=10.
IF (EF3=11378 AND EF4=6 AND EF5=6 AND EF8=2 AND EF9=1 AND EF12=1 AND EF31=2) EF4=11.
IF (EF3=12609 AND EF4=1 AND EF5=1 AND EF8=2 AND EF9=2 AND EF12=2 AND EF31=2) EF4=8.
IF (EF3=12609 AND EF4=6 AND EF5=5 AND EF8=2 AND EF9=2 AND EF12=2 AND EF31=2) EF4=9.
IF (EF3=14040 AND EF4=3 AND EF5=3 AND EF8=1 AND EF9=1 AND EF12=1 AND EF31=2) EF4=6.
IF (EF3=14283 AND EF4=1 AND EF5=2 AND EF8=1 AND EF9=3 AND EF12=4 AND EF31=2) EF4=7.
IF (EF3=20009 AND EF4=2 AND EF5=2 AND EF8=5 AND EF9=7 AND EF12=1 AND EF31=2) EF4=8.
IF (EF3=20009 AND EF4=5 AND EF5=3 AND EF8=5 AND EF9=7 AND EF12=1 AND EF31=2) EF4=9.
IF (EF3=20261 AND EF4=3 AND EF5=2 AND EF8=2 AND EF9=2 AND EF12=1 AND EF31=2) EF4=12.
IF (EF3=20261 AND EF4=1 AND EF5=4 AND EF8=2 AND EF9=2 AND EF12=1 AND EF31=2) EF4=13.
IF (EF3=20261 AND EF4=5 AND EF5=10 AND EF8=2 AND EF9=2 AND EF12=1 AND EF31=2) EF4=14.
IF (EF3=20261 AND EF4=6 AND EF5=9 AND EF8=2 AND EF9=2 AND EF12=1 AND EF31=2) EF4=15.
IF (EF3=20261 AND EF4=8 AND EF5=7 AND EF8=2 AND EF9=2 AND EF12=1 AND EF31=2) EF4=16.
IF (EF3=20326 AND EF4=1 AND EF5=2 AND EF8=2 AND EF9=4 AND EF12=2 AND EF31=2) EF4=17.
IF (EF3=20326 AND EF4=2 AND EF5=14 AND EF8=2 AND EF9=4 AND EF12=2 AND EF31=2) EF4=18.
IF (EF3=20326 AND EF4=4 AND EF5=5 AND EF8=2 AND EF9=4 AND EF12=2 AND EF31=2) EF4=19.
IF (EF3=20326 AND EF4=5 AND EF5=15 AND EF8=2 AND EF9=4 AND EF12=2 AND EF31=2) EF4=20.
IF (EF3=20326 AND EF4=7 AND EF5=9 AND EF8=2 AND EF9=4 AND EF12=2 AND EF31=2) EF4=21.
IF (EF3=20326 AND EF4=8 AND EF5=8 AND EF8=2 AND EF9=4 AND EF12=2 AND EF31=2) EF4=22.
IF (EF3=20326 AND EF4=10 AND EF5=12 AND EF8=2 AND EF9=4 AND EF12=2 AND EF31=2) EF4=23.
IF (EF3=20326 AND EF4=13 AND EF5=6 AND EF8=2 AND EF9=4 AND EF12=2 AND EF31=2) EF4=24.
IF (EF3=20789 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=2 AND EF12=4 AND EF31=2) EF4=2.
IF (EF3=20789 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=3 AND EF12=4 AND EF31=2) EF4=3.
IF (EF3=20789 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=4 AND EF12=4 AND EF31=2) EF4=4.
IF (EF3=21211 AND EF4=6 AND EF5=3 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=8.
IF (EF3=21381 AND EF4=1 AND EF5=3 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=6.
IF (EF3=21381 AND EF4=2 AND EF5=2 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=7.
IF (EF3=21690 AND EF4=2 AND EF5=3 AND EF8=1 AND EF9=2 AND EF12=4 AND EF31=2) EF4=3.
IF (EF3=22039 AND EF4=4 AND EF5=2 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=9.
IF (EF3=22260 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=1 AND EF12=3 AND EF31=2) EF4=4.
IF (EF3=22771 AND EF4=1 AND EF5=2 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=26.
IF (EF3=22792 AND EF4=2 AND EF5=3 AND EF8=1 AND EF9=1 AND EF12=3 AND EF31=2) EF4=13.
IF (EF3=23598 AND EF4=1 AND EF5=7 AND EF8=3 AND EF9=4 AND EF12=4 AND EF31=2) EF4=9.
IF (EF3=23598 AND EF4=4 AND EF5=2 AND EF8=3 AND EF9=4 AND EF12=4 AND EF31=2) EF4=10.
IF (EF3=23598 AND EF4=5 AND EF5=3 AND EF8=3 AND EF9=4 AND EF12=4 AND EF31=2) EF4=11.
IF (EF3=23840 AND EF4=6 AND EF5=2 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=26.
IF (EF3=23840 AND EF4=1 AND EF5=12 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=27.
IF (EF3=23840 AND EF4=3 AND EF5=9 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=28.
IF (EF3=23840 AND EF4=17 AND EF5=7 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=29.
IF (EF3=23840 AND EF4=4 AND EF5=4 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=30.
IF (EF3=24110 AND EF4=5 AND EF5=1 AND EF8=1 AND EF9=1 AND EF12=3 AND EF31=1) EF4=10.
IF (EF3=24110 AND EF4=5 AND EF5=2 AND EF8=1 AND EF9=1 AND EF12=3 AND EF31=1) EF4=10.
IF (EF3=24110 AND EF4=5 AND EF5=3 AND EF8=1 AND EF9=1 AND EF12=3 AND EF31=1) EF4=10.
IF (EF3=24842 AND EF4=1 AND EF5=9 AND EF8=1 AND EF9=1 AND EF12=3 AND EF31=2) EF4=7.
IF (EF3=25270 AND EF4=9 AND EF5=1 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=18.
IF (EF3=25785 AND EF4=1 AND EF5=3 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=11.
IF (EF3=25785 AND EF4=2 AND EF5=2 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=12.
IF (EF3=26183 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=8.
IF (EF3=28454 AND EF4=1 AND EF5=1 AND EF8=2 AND EF9=1 AND EF12=3 AND EF31=1) EF4=9.
IF (EF3=28454 AND EF4=1 AND EF5=2 AND EF8=2 AND EF9=1 AND EF12=3 AND EF31=1) EF4=9.
IF (EF3=28454 AND EF4=1 AND EF5=3 AND EF8=2 AND EF9=1 AND EF12=3 AND EF31=1) EF4=9.
IF (EF3=28595 AND EF4=5 AND EF5=3 AND EF8=3 AND EF9=2 AND EF12=4 AND EF31=2) EF4=12.
IF (EF3=28595 AND EF4=2 AND EF5=5 AND EF8=3 AND EF9=2 AND EF12=4 AND EF31=2) EF4=13.
IF (EF3=28595 AND EF4=7 AND EF5=2 AND EF8=3 AND EF9=2 AND EF12=4 AND EF31=2) EF4=14.
IF (EF3=28595 AND EF4=9 AND EF5=8 AND EF8=3 AND EF9=2 AND EF12=4 AND EF31=2) EF4=15.
IF (EF3=28595 AND EF4=10 AND EF5=6 AND EF8=3 AND EF9=2 AND EF12=4 AND EF31=2) EF4=16.
IF (EF3=29164 AND EF4=3 AND EF5=2 AND EF8=8 AND EF9=8 AND EF12=1 AND EF31=2) EF4=10.
IF (EF3=29513 AND EF4=1 AND EF5=3 AND EF8=2 AND EF9=2 AND EF12=2 AND EF31=2) EF4=16.
IF (EF3=29513 AND EF4=2 AND EF5=5 AND EF8=2 AND EF9=2 AND EF12=2 AND EF31=2) EF4=17.
IF (EF3=29513 AND EF4=5 AND EF5=1 AND EF8=2 AND EF9=2 AND EF12=2 AND EF31=2) EF4=18.
IF (EF3=29513 AND EF4=10 AND EF5=2 AND EF8=2 AND EF9=2 AND EF12=2 AND EF31=2) EF4=19.
IF (EF3=29529 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=6.
IF (EF3=29866 AND EF4=2 AND EF5=1 AND EF8=2 AND EF9=2 AND EF12=4 AND EF31=2) EF4=9.
IF (EF3=29866 AND EF4=5 AND EF5=4 AND EF8=2 AND EF9=2 AND EF12=4 AND EF31=2) EF4=10.
IF (EF3=30138 AND EF4=5 AND EF5=7 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=11.
IF (EF3=30303 AND EF4=1 AND EF5=3 AND EF8=1 AND EF9=2 AND EF12=1 AND EF31=2) EF4=6.
IF (EF3=30376 AND EF4=2 AND EF5=2 AND EF8=1 AND EF9=1 AND EF12=3 AND EF31=2) EF4=9.
IF (EF3=31579 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=10.
IF (EF3=31579 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=3 AND EF12=2 AND EF31=2) EF4=3.
IF (EF3=31579 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=4 AND EF12=2 AND EF31=2) EF4=4.
IF (EF3=31579 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=5 AND EF12=2 AND EF31=2) EF4=5.
IF (EF3=31579 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=7 AND EF12=2 AND EF31=2) EF4=7.
IF (EF3=31579 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=8 AND EF12=2 AND EF31=2) EF4=8.
IF (EF3=31579 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=9 AND EF12=2 AND EF31=2) EF4=9.
IF (EF3=31664 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=14.
IF (EF3=31664 AND EF4=3 AND EF5=8 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=15.
IF (EF3=31664 AND EF4=4 AND EF5=7 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=16.
IF (EF3=31664 AND EF4=9 AND EF5=13 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=17.
IF (EF3=32551 AND EF4=7 AND EF5=2 AND EF8=4 AND EF9=1 AND EF12=2 AND EF31=2) EF4=10.
IF (EF3=32551 AND EF4=2 AND EF5=9 AND EF8=4 AND EF9=1 AND EF12=2 AND EF31=2) EF4=11.
IF (EF3=32551 AND EF4=5 AND EF5=4 AND EF8=4 AND EF9=1 AND EF12=2 AND EF31=2) EF4=12.
IF (EF3=33407 AND EF4=4 AND EF5=2 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=6.
IF (EF3=34558 AND EF4=1 AND EF5=1 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=2.
IF (EF3=34956 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=40.
IF (EF3=34956 AND EF4=3 AND EF5=4 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=41.
IF (EF3=34956 AND EF4=4 AND EF5=6 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=42.
IF (EF3=34958 AND EF4=46 AND EF5=1 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=62.
IF (EF3=34958 AND EF4=28 AND EF5=2 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=63.
IF (EF3=34958 AND EF4=7 AND EF5=5 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=64.
IF (EF3=34958 AND EF4=14 AND EF5=11 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=65.
IF (EF3=34958 AND EF4=22 AND EF5=13 AND EF8=1 AND EF9=1 AND EF12=2 AND EF31=2) EF4=66.
IF (EF3=35206 AND EF4=2 AND EF5=4 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=7.
IF (EF3=35578 AND EF4=9 AND EF5=1 AND EF8=1 AND EF9=1 AND EF12=4 AND EF31=2) EF4=12.
IF (EF3=35581 AND EF4=10 AND EF5=4 AND EF8=10 AND EF9=7 AND EF12=3 AND EF31=2) EF4=18.
IF (EF3=36444 AND EF4=8 AND EF5=3 AND EF8=13 AND EF9=8 AND EF12=2 AND EF31=2) EF4=17.
IF (EF3=36462 AND EF4=4 AND EF5=15 AND EF8=3 AND EF9=4 AND EF12=2 AND EF31=2) EF4=19.
IF (EF3=36654 AND EF4=11 AND EF5=1 AND EF8=1 AND EF9=3 AND EF12=3 AND EF31=1) EF4=13.
IF (EF3=36654 AND EF4=2 AND EF5=6 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=14.
IF (EF3=36654 AND EF4=3 AND EF5=12 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=15.
IF (EF3=36654 AND EF4=4 AND EF5=1 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=16.
IF (EF3=36654 AND EF4=5 AND EF5=11 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=17.
IF (EF3=36654 AND EF4=6 AND EF5=9 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=18.
IF (EF3=36654 AND EF4=7 AND EF5=2 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=19.
IF (EF3=36654 AND EF4=8 AND EF5=5 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=20.
IF (EF3=36654 AND EF4=9 AND EF5=8 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=21.
IF (EF3=36654 AND EF4=11 AND EF5=3 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=22.
IF (EF3=36654 AND EF4=12 AND EF5=13 AND EF8=2 AND EF9=2 AND EF12=3 AND EF31=2) EF4=23.
IF (EF3=36860 AND EF4=1 AND EF5=2 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=8.
IF (EF3=38422 AND EF4=2 AND EF5=2 AND EF8=3 AND EF9=1 AND EF12=2 AND EF31=2) EF4=6.
IF (EF3=38422 AND EF4=1 AND EF5=4 AND EF8=3 AND EF9=1 AND EF12=2 AND EF31=2) EF4=7.
IF (EF3=38439 AND EF4=4 AND EF5=2 AND EF8=1 AND EF9=4 AND EF12=2 AND EF31=2) EF4=6.
IF (EF3=39081 AND EF4=1 AND EF5=1 AND EF8=2 AND EF9=3 AND EF12=2 AND EF31=2) EF4=6.
IF (EF3=39081 AND EF4=2 AND EF5=4 AND EF8=2 AND EF9=3 AND EF12=2 AND EF31=2) EF4=7.
IF (EF3=39081 AND EF4=3 AND EF5=6 AND EF8=2 AND EF9=3 AND EF12=2 AND EF31=2) EF4=8.
IF (EF3=39081 AND EF4=5 AND EF5=3 AND EF8=2 AND EF9=3 AND EF12=2 AND EF31=2) EF4=9.
IF (EF3=39081 AND EF4=1 AND EF5=1 AND EF8=3 AND EF9=2 AND EF12=2 AND EF31=2) EF4=10.
IF (EF3=41864 AND EF4=3 AND EF5=1 AND EF8=1 AND EF9=2 AND EF12=1 AND EF31=2) EF4=22.
IF (EF3=41864 AND EF4=8 AND EF5=7 AND EF8=1 AND EF9=2 AND EF12=1 AND EF31=2) EF4=23.
IF (EF3=41864 AND EF4=13 AND EF5=10 AND EF8=1 AND EF9=2 AND EF12=1 AND EF31=2) EF4=24.
IF (EF3=41864 AND EF4=14 AND EF5=4 AND EF8=1 AND EF9=2 AND EF12=1 AND EF31=2) EF4=25.
IF (EF3=41864 AND EF4=9 AND EF5=8 AND EF8=1 AND EF9=2 AND EF12=1 AND EF31=2) EF4=26.
IF (EF3=41920 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=4 AND EF12=4 AND EF31=2) EF4=5.
IF (EF3=41920 AND EF4=4 AND EF5=2 AND EF8=1 AND EF9=4 AND EF12=4 AND EF31=2) EF4=6.
IF (EF3=43626 AND EF4=1 AND EF5=2 AND EF8=3 AND EF9=4 AND EF12=1 AND EF31=2) EF4=7.
IF (EF3=43634 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=2 AND EF12=1 AND EF31=2) EF4=5.
IF (EF3=43803 AND EF4=2 AND EF5=1 AND EF8=1 AND EF9=1 AND EF12=3 AND EF31=2) EF4=5.
IF (EF3=43803 AND EF4=4 AND EF5=4 AND EF8=1 AND EF9=1 AND EF12=3 AND EF31=2) EF4=6.
IF (EF3=43907 AND EF4=1 AND EF5=1 AND EF8=1 AND EF9=2 AND EF12=2 AND EF31=2) EF4=4.
IF (EF3=45021 AND EF4=7 AND EF5=2 AND EF8=1 AND EF9=2 AND EF12=3 AND EF31=2) EF4=12.
IF (EF3=45021 AND EF4=1 AND EF5=10 AND EF8=1 AND EF9=2 AND EF12=3 AND EF31=2) EF4=13.
IF (EF3=45021 AND EF4=2 AND EF5=8 AND EF8=1 AND EF9=2 AND EF12=3 AND EF31=2) EF4=14.
IF (EF3=45021 AND EF4=5 AND EF5=5 AND EF8=1 AND EF9=2 AND EF12=3 AND EF31=2) EF4=15.
EXECUTE.


*--------------------------------------------------   Jahresueberhaenge   -------------------------------------------------.

* im MZ 2007 nicht enthalten.


*---------------------------------------   Gewichtungs- und Hochrechnungsfaktoren   ---------------------------------------.

* Personengewichtungsfaktor.
COMPUTE pge=EF952*7.

* Haushaltsgewichtungsfaktor.
COMPUTE hge=EF952*7.

* Gewichtungsfaktor fuer Quartalsauswertungen.
COMPUTE geq=EF951*7.
EXECUTE.

* Personengewichtungs- und Hochrechnungsfaktor.
COMPUTE pgeh=pge*100/0.7.

* Haushaltsgewichtungs- und Hochrechnungsfaktor.
COMPUTE hgeh=hge*100/0.7.

* Gewichtungs- und Hochrechnungsfaktor fuer Quartalsauswertungen.
COMPUTE geqh=geq*100/0.7.
EXECUTE.


*------------------------------------   Stichprobenkennzeichnung und Erhebungsmodus   -------------------------------------.

* Berichtsquartal.
COMPUTE quar=EF12.

* Erhebungsmodus: Art der Befragung.
RECODE EF7 (1=3) (2=2) (3=1) INTO bef_1.
RECODE EF7 (1=4) (2=3) (3=2) INTO bef_2.

* Erhebungsmodus: Art der Beteiligung.
RECODE EF17 (1=1) (2=2) (9=-1) (0=-2) INTO bet.
EXECUTE.

