﻿* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Nationalitaet und Migration
* Mikrozensus Scientific Use File 2001

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: nat01.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=2001.

* Versionsnummer des Moduls 'Nationalitaet und Migration'.
COMPUTE vers_nat=5.


*-------------------------------------------   Deutsche Staatsangehoerigkeit   --------------------------------------------.

COMPUTE deu_1=0.
IF (EF43<=2) deu_1=1.


*-------------------------------------   Deutsche Staatsangehoerigkeit detailliert   --------------------------------------.

RECODE EF43 (1=1) (2=2) (8=3) INTO deu_2.


*------------------------------------------------   Staatsangehoerigkeit   ------------------------------------------------.

RECODE EF44 (2,11,20=10) (5=4) (6=5) (7=13) (8=17)
   (10=2) (13=7) (14=8) (15=6) (16=12) (17=18) (21=19)
   (22=3) (23=9) (27=14) (29=11) (32=15) (34=16)
   (ELSE=20) INTO nat_1.
IF (EF43<=2) nat_1=1.


*-----------------------------------------   Auslaendische Staatsangehoerigkeit   -----------------------------------------.

RECODE EF44 (0=-2) (2=0) (11=1) (10=2) (22=3) (5=4) (6=5)
   (15=6) (13=7) (14=8) (23=9) (20=10) (29=11) (16=12)
   (7=13) (27=14) (32=15) (34=16) (8=17) (17=18) (21=19)
   (18=20) (25=21) (28=22) (30=23) (33=24) (35=25) (36=26)
   (45=27) INTO nat_2.
IF (EF43=1) nat_2=-2.


*-----------------------------   Vorhandensein einer 2. auslaendischen Staatsangehoerigkeit   -----------------------------.

COMPUTE ausst=EF45.


*------------------------------------------   Typisierte Staatsangehoerigkeit   -------------------------------------------.

COMPUTE nat_3=EF52.


*---------------------------------------------   Zuzugsjahr von Auslaendern   ---------------------------------------------.

RECODE EF53 (0=-2) (1900=0) (1950 THRU 1959=1950)
   (9999=-1) (ELSE=COPY) INTO zuzug_2.
IF (EF43<=2) zuzug_2=-2.


*----------------------------------------------   Zuzugsjahr fuer Deutsche   ----------------------------------------------.

DO IF (EF738=1 AND EF52=1).
+   RECODE EF53 (0, 9999=-1) (1900=0) (1950 THRU 1952=1950) (1953 THRU 1954=1953)
    (1955 THRU 1956=1955) (ELSE=COPY) INTO zuzug_3.
END IF.
IF (EF738=0) zuzug_3=-2.
IF (EF52 > 1) zuzug_3=-2.

EXECUTE.

