* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Nationalitaet und Migration
* Mikrozensus Scientific Use File 1989

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: nat89.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=1989.

* Versionsnummer des Moduls 'Nationalitaet und Migration'.
COMPUTE vers_nat=5.


*-------------------------------------------   Deutsche Staatsangehoerigkeit   --------------------------------------------.

COMPUTE deu_1=0.
IF (EF41=1) deu_1=1.


*------------------------------------------------   Staatsangehoerigkeit   ------------------------------------------------.

RECODE EF41 (1=1) (2=4) (3=5) (4=13) (5=2) (6=10) (7=7) (8=8)
   (9=6) (10=12) (11=3) (12=9) (13=11) (14,15=20) INTO nat_1.


*---------------------------------------------   Zuzugsjahr von Auslaendern   ---------------------------------------------.

COMPUTE zuzug_2 = EF47 + 1900.
RECODE zuzug_2 (1900=0) (1950,1955=1950) (1998=-1) (1999=-2) (ELSE=COPY).
EXECUTE.

