* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Regionalangaben
* Mikrozensus Scientific Use File 2008

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: region08.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=2008.

* Versionsnummer des Moduls 'Regionalangaben'.
COMPUTE vers_reg=5.


*-----------------------------------------------------   Bundesland   -----------------------------------------------------.

COMPUTE land=EF1.


*-----------------------------------------------   Ost-/West-Deutschland   ------------------------------------------------.

COMPUTE wost=1.
IF EF1>=12 OR EF563=9 wost=2.


*-----------------------------------------------   Gemeindegroessenklasse   -----------------------------------------------.

RECODE EF563 (1=1) (2=2) (3=3) (4,5=4) (6=5) (7=6) (8,9=4) INTO gemgr_1.

COMPUTE gemgr_2=EF563.
EXECUTE.

