* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Standardvariablen
* Mikrozensus Scientific Use File 2006

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: standards06.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=2006.

* Versionsnummer des Moduls 'Standardvariablen'.
COMPUTE vers_sta=5.


*---------------------------------------   Haushalts- und Personenidentifikation   ----------------------------------------.

* Haushaltsnummer, fortlaufend.
SORT CASES BY EF5b EF3 EF4.
IF $CASENUM=1 hhnr=1.
IF EF5b~=LAG(EF5b) OR EF3~=LAG(EF3) OR EF4~=LAG(EF4) hhnr=hhnr+1.
LEAVE hhnr.
EXECUTE.

* Personennummer im Haushalt.
COMPUTE pnr=1.
DO IF hhnr=LAG(hhnr).
+   COMPUTE pnr=LAG(pnr)+1.
END IF.
EXECUTE.


*-------------------------   Markierung von Faellen mit inkonsistenter Haushaltsidentifikation   --------------------------.

COMPUTE flaghh=0.
IF EF3=1 AND EF4=16 AND EF5b=1 flaghh=1.
IF EF3=1 AND EF4=17 AND EF5b=1 flaghh=1.
IF EF3=3 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=3 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=3 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=3 AND EF4=12 AND EF5b=1 flaghh=1.
IF EF3=86 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=115 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=171 AND EF4=14 AND EF5b=1 flaghh=1.
IF EF3=229 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=269 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=269 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=274 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=274 AND EF4=14 AND EF5b=1 flaghh=1.
IF EF3=274 AND EF4=19 AND EF5b=1 flaghh=1.
IF EF3=334 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=345 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=356 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=356 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=356 AND EF4=12 AND EF5b=1 flaghh=1.
IF EF3=356 AND EF4=17 AND EF5b=1 flaghh=1.
IF EF3=357 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=432 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=533 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=681 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=769 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=769 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=772 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=772 AND EF4=12 AND EF5b=1 flaghh=1.
IF EF3=793 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=846 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=846 AND EF4=12 AND EF5b=1 flaghh=1.
IF EF3=857 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=864 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=864 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=914 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=914 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=961 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=1022 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=1062 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=1073 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=1394 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=1445 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=1445 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=1445 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=1445 AND EF4=17 AND EF5b=1 flaghh=1.
IF EF3=1445 AND EF4=20 AND EF5b=1 flaghh=1.
IF EF3=1445 AND EF4=24 AND EF5b=1 flaghh=1.
IF EF3=1445 AND EF4=26 AND EF5b=1 flaghh=1.
IF EF3=1445 AND EF4=27 AND EF5b=1 flaghh=1.
IF EF3=1579 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=1591 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=1644 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=1653 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=1662 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=1740 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=1805 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=1805 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=1805 AND EF4=13 AND EF5b=1 flaghh=1.
IF EF3=1805 AND EF4=16 AND EF5b=1 flaghh=1.
IF EF3=1892 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=1917 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=1956 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=2027 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=2129 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=2135 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=2135 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=2150 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=2156 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=2211 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=2314 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=2377 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=2468 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=2490 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=2490 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=2490 AND EF4=12 AND EF5b=1 flaghh=1.
IF EF3=2515 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=2515 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=2515 AND EF4=12 AND EF5b=1 flaghh=1.
IF EF3=2515 AND EF4=14 AND EF5b=1 flaghh=1.
IF EF3=2626 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=2626 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=2847 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=2943 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=2943 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=2956 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=2979 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=3092 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=3261 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=3272 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=3301 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=3319 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=3370 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=3459 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=3640 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=3659 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=3674 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=3681 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=3727 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=3895 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=3979 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=4016 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=4195 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=4470 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=5122 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=5656 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=5656 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=5693 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=5742 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=5758 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=5789 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=5813 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=5864 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=5879 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=5961 AND EF4=14 AND EF5b=1 flaghh=1.
IF EF3=5967 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=5967 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=6091 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=6186 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=6214 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=6244 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=6250 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=6279 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=6444 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=6473 AND EF4=15 AND EF5b=1 flaghh=1.
IF EF3=6563 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=6568 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=6580 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=6603 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=6620 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=6645 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=6645 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=6646 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=6678 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=6718 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=6770 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=6819 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=6819 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=6871 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=6967 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=6967 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=6982 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=6993 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=7003 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=7020 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=7149 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=7293 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=7303 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=7363 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=7393 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=7450 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=7456 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=7482 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=7509 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=7509 AND EF4=17 AND EF5b=1 flaghh=1.
IF EF3=7594 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=7602 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=7602 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=7652 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=7691 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=7752 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=7782 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=7847 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=7852 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=7916 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=7916 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=7939 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=7951 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=7986 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=7986 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=7986 AND EF4=13 AND EF5b=1 flaghh=1.
IF EF3=8010 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=8154 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=8154 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=8159 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=8287 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=8313 AND EF4=13 AND EF5b=1 flaghh=1.
IF EF3=8437 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=8564 AND EF4=12 AND EF5b=1 flaghh=1.
IF EF3=8578 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=8629 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=8648 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=8844 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=8892 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=8893 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=8965 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=8995 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=9003 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=9276 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=9291 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=9340 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=9407 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=9442 AND EF4=13 AND EF5b=1 flaghh=1.
IF EF3=9448 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=9448 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=9448 AND EF4=14 AND EF5b=1 flaghh=1.
IF EF3=9508 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=9807 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=9855 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=9896 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=9983 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=10032 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=10034 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=10057 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=10060 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=10200 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=10317 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=10537 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=10560 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=10573 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=10573 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=10789 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=10938 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=11056 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=11305 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=11503 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=11716 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=11765 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=11946 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=12018 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=12327 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=12819 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=12827 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=12994 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=13009 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=13183 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=13272 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=13345 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=13362 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=13497 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=13612 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=13697 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=13720 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=13749 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=13757 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=14034 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=14108 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=14216 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=14223 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=14276 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=14333 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=14339 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=14586 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=14692 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=15034 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=15455 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=15585 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=16970 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=17099 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=18545 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=18615 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=18620 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=18620 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=18638 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=18638 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=18638 AND EF4=22 AND EF5b=1 flaghh=1.
IF EF3=18638 AND EF4=24 AND EF5b=1 flaghh=1.
IF EF3=18638 AND EF4=25 AND EF5b=1 flaghh=1.
IF EF3=18640 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=18640 AND EF4=13 AND EF5b=1 flaghh=1.
IF EF3=18756 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=18786 AND EF4=14 AND EF5b=1 flaghh=1.
IF EF3=18789 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=18790 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=18791 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=18797 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=18856 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=18856 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=18964 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=18972 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=18972 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=18972 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=18976 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=19008 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=19013 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=19020 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=19083 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=19103 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=19141 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=19180 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=19256 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=19256 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=19256 AND EF4=17 AND EF5b=1 flaghh=1.
IF EF3=19256 AND EF4=22 AND EF5b=1 flaghh=1.
IF EF3=19303 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=19408 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=19412 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=19505 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=19516 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=19518 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=19519 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=19599 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=19599 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=19605 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=19649 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=19716 AND EF4=12 AND EF5b=1 flaghh=1.
IF EF3=19735 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=19743 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=19743 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=19747 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=19759 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=19784 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=19823 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=19843 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=19896 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=19974 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=19986 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=20017 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=20027 AND EF4=19 AND EF5b=1 flaghh=1.
IF EF3=20139 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=20157 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=20174 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=20207 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=20261 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=20304 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=20409 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=20446 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=20506 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=20513 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=20591 AND EF4=14 AND EF5b=1 flaghh=1.
IF EF3=20611 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=20617 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=20648 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=20714 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=20744 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=20749 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=20750 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=20769 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=20942 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=20970 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=21028 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=21040 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=21111 AND EF4=2 AND EF5b=0 flaghh=1.
IF EF3=21111 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=21111 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=21276 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=21320 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=21320 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=21346 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=22879 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=22904 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=22904 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=22904 AND EF4=16 AND EF5b=1 flaghh=1.
IF EF3=22904 AND EF4=19 AND EF5b=1 flaghh=1.
IF EF3=22904 AND EF4=20 AND EF5b=1 flaghh=1.
IF EF3=22922 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=22945 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=22977 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=22986 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=22986 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=22986 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=23042 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=23042 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=23042 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=23042 AND EF4=12 AND EF5b=1 flaghh=1.
IF EF3=23044 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=23044 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=23160 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=23160 AND EF4=13 AND EF5b=1 flaghh=1.
IF EF3=23335 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=23406 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=23569 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=23651 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=23699 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=23910 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=23915 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=23983 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=24161 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=24195 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=24195 AND EF4=13 AND EF5b=1 flaghh=1.
IF EF3=24195 AND EF4=18 AND EF5b=1 flaghh=1.
IF EF3=24195 AND EF4=23 AND EF5b=1 flaghh=1.
IF EF3=24272 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=24451 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=24674 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=24817 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=24850 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=24916 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=24918 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=25134 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=25208 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=25208 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=25432 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=25730 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=25730 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=25769 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=25929 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=26222 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=26487 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=26562 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=26694 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=38563 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=38949 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=38999 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=39173 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=39232 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=39296 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=39409 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=39427 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=39445 AND EF4=10 AND EF5b=1 flaghh=1.
IF EF3=39474 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=39682 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=39965 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=39967 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=39979 AND EF4=5 AND EF5b=1 flaghh=1.
IF EF3=40021 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=40217 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=40492 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=41124 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=41517 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=41595 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=41795 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=41795 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=41810 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=41813 AND EF4=8 AND EF5b=1 flaghh=1.
IF EF3=41851 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=41856 AND EF4=6 AND EF5b=1 flaghh=1.
IF EF3=41884 AND EF4=9 AND EF5b=1 flaghh=1.
IF EF3=41916 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=42016 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=42063 AND EF4=2 AND EF5b=1 flaghh=1.
IF EF3=42107 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=42227 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=42271 AND EF4=4 AND EF5b=1 flaghh=1.
IF EF3=42340 AND EF4=11 AND EF5b=1 flaghh=1.
IF EF3=42346 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=42469 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=42471 AND EF4=3 AND EF5b=1 flaghh=1.
IF EF3=42611 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=42669 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=42730 AND EF4=1 AND EF5b=1 flaghh=1.
IF EF3=42903 AND EF4=7 AND EF5b=1 flaghh=1.
IF EF3=43000 AND EF4=1 AND EF5b=1 flaghh=1.
EXECUTE.


*------------------------------------------------   Bevoelkerungskonzepte   -----------------------------------------------.

* Bevoelkerung in Privathaushalten.
COMPUTE bpriv=EF31.

* Bevoelkerung am Hauptwohnsitz.
RECODE EF30 (1 THRU 2=1) (3=2) INTO bhws.

* Bevoelkerung am Familienwohnsitz.
RECODE EF863 (1=1) (ELSE=2) INTO bfws.

* Bevoelkerung am Wohnsitz der Lebensgemeinschaft.
RECODE EF761 (1 THRU 2=1) (ELSE=2) INTO blws.


*------------------------------------------------   Standarddemographie   -------------------------------------------------.

* Geschlecht.
COMPUTE gesch=EF46.

* Alter.
COMPUTE alter=EF44.
RECODE alter (93 THRU HI=93) (ELSE=COPY).

* Geburtsjahr.
COMPUTE gebj=EF47.

* Familienstand.
COMPUTE famst=EF49.
EXECUTE.

