* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Standardvariablen
* Mikrozensus Scientific Use File 1987

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: standards87.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=1987.

* Versionsnummer des Moduls 'Standardvariablen'.
COMPUTE vers_sta=5.


*---------------------------------------   Haushalts- und Personenidentifikation   ----------------------------------------.

* Haushaltsnummer, fortlaufend.
* fortlaufende Haushaltsnummer (hhnr) wurde bereits in Syntax zur Anpassung
  und Gewichtung generiert (methvar87).

* Personennummer im Haushalt.
SORT CASES BY hhnr EF5.
COMPUTE pnr=1.
DO IF hhnr=LAG(hhnr).
+   COMPUTE pnr=LAG(pnr)+1.
END IF.
EXECUTE.


*------------------------------------------------   Bevoelkerungskonzepte   -----------------------------------------------.

* Bevoelkerung in Privathaushalten.
RECODE EF27 (1 THRU 2=1) (3=2) INTO bpriv.

* Bevoelkerung am Hauptwohnsitz.
RECODE EF26 (1 THRU 2=1) (3=2) INTO bhws.

* Bevoelkerung am Familienwohnsitz.
RECODE EF28 (1=1) (ELSE=2) INTO bfws.


*------------------------------------------------   Standarddemographie   -------------------------------------------------.

* Geschlecht.
COMPUTE gesch=EF35.

* Alter.
COMPUTE alter=EF23.
RECODE alter (93 THRU HI=93) (ELSE=COPY).

* Geburtsjahr.
IF EF37>=93 gebj=EF37+1800.
IF EF37<=87 gebj=EF37+1900.

* Familienstand.
COMPUTE famst=EF38.
EXECUTE.

