﻿* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Vergabe von Variablen- und Value-Labels.
* Themenbereich Standardvariablen


*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: standards_labels.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------   Vergabe von Variable Labels   --------------------------------------------.

VARIABLE LABELS vers_sta 'Versionsnummer Bereich Standardvariablen'
   / hhnr 'Laufende Nr.: Haushalt'
   / pnr 'Laufende Nr.: Person im Haushalt'
   / flaghh 'Inkonsistente Haushaltsidentifikation'
   / bpriv 'Bevoelkerung: Privathaushalte'
   / bhws 'Bevoelkerung: Haupt- oder Nebenwohnsitz'
   / bfws 'Bevoelkerung: Familienwohnsitz (tradit. Familienkonzept)'
   / blws 'Bevoelkerung: Wohnsitz der Lebensgemeinschaft (Konzept der Lebensformen)'
   / gesch 'Geschlecht'
   / alter 'Alter'
   / gebj 'Geburtsjahr'
   / famst 'Familienstand'.


*----------------------------------------------   Vergabe von Value Labels   ----------------------------------------------.

VALUE LABELS
   flaghh
          0 'keine Inkonsistenz'
          1 'Inkonsistenz'
   / bpriv
          1 'Bevoelkerung in Privathaushalten'
          2 'Bevoelkerung in Gemeinschaftsunterkuenften'
   / bhws
          1 'Bevoelkerung am Hauptwohnsitz'
          2 'Bevoelkerung am Nebenwohnsitz'
   / bfws
          1 'Bevoelkerung am Familienwohnsitz'
          2 'nicht Bevoelkerung am Familienwohnsitz'
   / blws
          1 'Bevoelkerung am Wohnsitz der Lebensgemeinschaft'
          2 'nicht Bevoelkerung am Wohnsitz der Lebensgemeinschaft'
   / gesch
          1 'maennlich'
          2 'weiblich'
   / alter
          0 'unter 1 Jahr'
          1 '1 Jahr'
          2 '2 Jahre'
          3 '3 Jahre'
          4 '4 Jahre'
          5 '5 Jahre'
          6 '6 Jahre'
          7 '7 Jahre'
          8 '8 Jahre'
          9 '9 Jahre'
          10 '10 Jahre'
          11 '11 Jahre'
          12 '12 Jahre'
          13 '13 Jahre'
          14 '14 Jahre'
          15 '15 Jahre'
          16 '16 Jahre'
          17 '17 Jahre'
          18 '18 Jahre'
          19 '19 Jahre'
          20 '20 Jahre'
          21 '21 Jahre'
          22 '22 Jahre'
          23 '23 Jahre'
          24 '24 Jahre'
          25 '25 Jahre'
          26 '26 Jahre'
          27 '27 Jahre'
          28 '28 Jahre'
          29 '29 Jahre'
          30 '30 Jahre'
          31 '31 Jahre'
          32 '32 Jahre'
          33 '33 Jahre'
          34 '34 Jahre'
          35 '35 Jahre'
          36 '36 Jahre'
          37 '37 Jahre'
          38 '38 Jahre'
          39 '39 Jahre'
          40 '40 Jahre'
          41 '41 Jahre'
          42 '42 Jahre'
          43 '43 Jahre'
          44 '44 Jahre'
          45 '45 Jahre'
          46 '46 Jahre'
          47 '47 Jahre'
          48 '48 Jahre'
          49 '49 Jahre'
          50 '50 Jahre'
          51 '51 Jahre'
          52 '52 Jahre'
          53 '53 Jahre'
          54 '54 Jahre'
          55 '55 Jahre'
          56 '56 Jahre'
          57 '57 Jahre'
          58 '58 Jahre'
          59 '59 Jahre'
          60 '60 Jahre'
          61 '61 Jahre'
          62 '62 Jahre'
          63 '63 Jahre'
          64 '64 Jahre'
          65 '65 Jahre'
          66 '66 Jahre'
          67 '67 Jahre'
          68 '68 Jahre'
          69 '69 Jahre'
          70 '70 Jahre'
          71 '71 Jahre'
          72 '72 Jahre'
          73 '73 Jahre'
          74 '74 Jahre'
          75 '75 Jahre'
          76 '76 Jahre'
          77 '77 Jahre'
          78 '78 Jahre'
          79 '79 Jahre'
          80 '80 Jahre'
          81 '81 Jahre'
          82 '82 Jahre'
          83 '83 Jahre'
          84 '84 Jahre'
          85 '85 Jahre'
          86 '86 Jahre'
          87 '87 Jahre'
          88 '88 Jahre'
          89 '89 Jahre'
          90 '90 Jahre'
          91 '91 Jahre'
          92 '92 Jahre'
          93 '93 Jahre und aelter'
   / gebj
          1863 '1863 (MZ62: und frueher)'
          1864 '1864 (MZ63: und frueher)'
          1865 '1865'
          1866 '1866'
          1867 '1867'
          1868 '1868'
          1869 '1869'
          1870 '1870 (MZ64: und frueher)'
          1871 '1871 (MZ65: und frueher)'
          1872 '1872 (MZ66: und frueher)'
          1873 '1873 (MZ67: und frueher)'
          1874 '1874 (MZ68: und frueher)'
          1875 '1875 (MZ69: und frueher)'
          1876 '1876'
          1877 '1877'
          1878 '1878'
          1879 '1879 (MZ73: und frueher)'
          1880 '1880'
          1881 '1881'
          1882 '1882 (MZ76: und frueher)'
          1883 '1883'
          1884 '1884 (MZ78: und frueher)'
          1885 '1885'
          1886 '1886 (MZ80: und frueher)'
          1887 '1887'
          1888 '1888 (MZ82: und frueher)'
          1889 '1889'
          1890 '1890'
          1891 '1891 (MZ85: und frueher)'
          1892 '1892'
          1893 '1893 (MZ87: und frueher)'
          1894 '1894'
          1895 '1895 (MZ89: und frueher)'
          1896 '1896'
          1897 '1897 (MZ91: und frueher)'
          1898 '1898'
          1899 '1899 (MZ93: und frueher)'
          1900 '1900 (MZ95, MZ96: und frueher)'
          1901 '1901 (MZ97: und frueher)'
          1902 '1902 (MZ98: und frueher)'
          1903 '1903 (MZ99: und frueher)'
          1904 '1904 (MZ00: und frueher)'
          1905 '1905 (MZ01: und frueher)'
          1906 '1906 (MZ02: und frueher)'
          1907 '1907 (MZ03: und frueher)'
          1908 '1908 (MZ04: und frueher)'
          1909 '1909 (MZ05, MZ09, MZ10: und frueher)'
          1910 '1910 (MZ06, MZ11: und frueher)'
          1911 '1911 (MZ07: und frueher)'
          1912 '1912 (MZ08, MZ12, MZ13: und frueher)'
          1913 '1913'
          1914 '1914 (MZ14: und frueher)'
          1915 '1915'
          1916 '1916 (MZ15, MZ16: und frueher)'
          1917 '1917'
          1918 '1918'
          1919 '1919'
          1920 '1920'
          1921 '1921'
          1922 '1922'
          1923 '1923'
          1924 '1924'
          1925 '1925'
          1926 '1926'
          1927 '1927'
          1928 '1928'
          1929 '1929'
          1930 '1930'
          1931 '1931'
          1932 '1932'
          1933 '1933'
          1934 '1934'
          1935 '1935'
          1936 '1936'
          1937 '1937'
          1938 '1938'
          1939 '1939'
          1940 '1940'
          1941 '1941'
          1942 '1942'
          1943 '1943'
          1944 '1944'
          1945 '1945'
          1946 '1946'
          1947 '1947'
          1948 '1948'
          1949 '1949'
          1950 '1950'
          1951 '1951'
          1952 '1952'
          1953 '1953'
          1954 '1954'
          1955 '1955'
          1956 '1956'
          1957 '1957'
          1958 '1958'
          1959 '1959'
          1960 '1960'
          1961 '1961'
          1962 '1962'
          1963 '1963'
          1964 '1964'
          1965 '1965'
          1966 '1966'
          1967 '1967'
          1968 '1968'
          1969 '1969'
          1970 '1970'
          1971 '1971'
          1972 '1972'
          1973 '1973'
          1974 '1974'
          1975 '1975'
          1976 '1976'
          1977 '1977'
          1978 '1978'
          1979 '1979'
          1980 '1980'
          1981 '1981'
          1982 '1982'
          1983 '1983'
          1984 '1984'
          1985 '1985'
          1986 '1986'
          1987 '1987'
          1988 '1988'
          1989 '1989'
          1990 '1990'
          1991 '1991'
          1992 '1992'
          1993 '1993'
          1994 '1994'
          1995 '1995'
          1996 '1996'
          1997 '1997'
          1998 '1998'
          1999 '1999'
          2000 '2000'
          2001 '2001'
          2002 '2002'
          2003 '2003'
          2004 '2004'
          2005 '2005'
          2006 '2006'
          2007 '2007'
          2008 '2008'
          2009 '2009'
          2010 '2010'
          2011 '2011'
          2012 '2012'
          2013 '2013'
          2014 '2014'
          2015 '2015'
          2016 '2016'
   / famst
          1 'ledig'
          2 'verheiratet'
          3 'verwitwet (ab MZ07: inkl. eingetragener Lebenspartner verstorben)'
          4 'geschieden'
          5 'eingetragene Lebenspartnerschaft'
          6 'eingetragene Lebenspartnerschaft aufgehoben'
          -1 'ohne Angabe'.

